<?php
function wpaffmach_traffic_medium( $post_id ) {
	$res = wpaffmach_share_medium( get_the_title( $post_id), wpaffmach_get_content_by_id( $post_id ), get_permalink( $post_id ) );
	if( $res )
		wpaffmach_log_traffic( $post_id, WPAFFMACH_TRAFFIC_MEDIUM );
}

// TO-DO tags, imagen
function wpaffmach_share_medium( $title, $text, $post_url, $image_url = false ) {
	require_once WPAFFMACH_DIR.'/lib/libs/medium/MediumClient.php';
	require_once WPAFFMACH_DIR.'/lib/libs/medium/Medium.php';
	$medium_settings = wpaffmach_get_settings( array( 'social', 'medium' ) );

	if ( ! isset( $medium_settings['token'] ) || empty( $medium_settings['token'] ) ) {
		wpaffmach_debug( 'Error with Medium Credentials', 'error' );
		return false;
	}
	$medium = new Medium( $medium_settings['token'] );

	$user = $medium->getAuthenticatedUser();

    $data = array(
        'title' => $title,
        'contentFormat' => 'html',
        'content' => $text.'<br/>Read more at: <a href="'.$post_url.'">'.$post_url.'</a>',
        'publishStatus' => 'public',
        'canonicalUrl' => $post_url,
        'notifyFollowers' => true
    );

    $post = false;
    if( $medium && $user)
    	$post = $medium->createPost( $user->id, $data );
    if( $post )
    	return true;
    return false;
}
?>