<?php
// require_once WPAFFMACH_DIR.'/lib/libs/pinterest/nxs-api/nxs-api.php';
// require_once WPAFFMACH_DIR.'/lib/libs/pinterest/nxs-api/nxs-http.php';
// require_once WPAFFMACH_DIR.'/lib/libs/pinterest/inc/nxs-functions.php';

function wpaffmach_traffic_reddit( $post_id, $traffic, $settings ) {
	$subreddit = $settings->subreddit;
	$res = wpaffmach_share_reddit( $subreddit, get_the_title( $post_id), wpaffmach_get_the_excerpt( $post_id ), get_permalink( $post_id ), wpaffmach_get_thumbnail( $post_id ) );
	if( $res )
		wpaffmach_log_traffic( $post_id, WPAFFMACH_TRAFFIC_REDDIT );
}

function wpaffmach_share_reddit( $subreddit, $title, $text, $post_url, $image_url = false ) {

	$reddit_settings = wpaffmach_get_settings( array( 'social', 'reddit' ) );

	if ( ! isset( $reddit_settings['email'] ) || empty( $reddit_settings['email'] ) || ! isset( $reddit_settings['pass'] ) || empty( $reddit_settings['pass'] ) ) {
		wpaffmach_debug( 'Error with Reddit Credentials', 'error' );
		return false;
	}
	wpaffmach_include_nextgen();

	// var_dump($reddit_settings);
	$email = $reddit_settings['email'];
	$password = $reddit_settings['pass'];

	$nt         = new nxsAPI_RD();
	$loginError = $nt->connect( $email, $password );
// var_dump($loginError);
	if ( !$loginError ) {
		//$msg, $title, $sr, $url
	  $return = $nt->post( $text, $title, $subreddit, $post_url );
		wpaffmach_debug( 'Shared on Reddit', 'notice' );
	  return true;
	}
	wpaffmach_debug( 'Error connecting with Reddit', 'error' );
	return false;
}

function wpaffmach_getsubreddits() {
	return wpaffmach_do_get_subreddits( );
    $transient_name = 'wpaffmach_subreddits';
    if ( false === ( $subreddits = get_transient( $transient_name ) ) ) {
        // It wasn't there, so regenerate the data and save the transient
         $subreddits = wpaffmach_do_get_subreddits( );
         set_transient( $transient_name, $subreddits, 3 * HOUR_IN_SECONDS );
    }
    return $subreddits;
}

function wpaffmach_do_get_subreddits() {
	$reddit_settings = wpaffmach_get_settings( array( 'social', 'reddit' ) );

	if ( ! isset( $reddit_settings['email'] ) || empty( $reddit_settings['email'] ) || ! isset( $reddit_settings['pass'] ) || empty( $reddit_settings['pass'] ) )
		return false;

	// var_dump($reddit_settings);
	$email = $reddit_settings['email'];
	$password = $reddit_settings['pass'];

	$nt         = new nxsAPI_RD();
	$loginError = $nt->connect( $email, $password );
// var_dump($loginError);
	if ( !$loginError ) {
		return $nt->getSubReddits();
	}
	return array();
}
?>