<?php

include WPAFFMACH_DIR.'lib/traffic/backlinkmachine.php';
include WPAFFMACH_DIR.'lib/traffic/linkindexers.php';
include WPAFFMACH_DIR.'lib/traffic/twitter.php';
include WPAFFMACH_DIR.'lib/traffic/facebook.php';
include WPAFFMACH_DIR.'lib/traffic/pinterest.php';
include WPAFFMACH_DIR.'lib/traffic/instagram.php';
include WPAFFMACH_DIR.'lib/traffic/googleplus.php';
include WPAFFMACH_DIR.'lib/traffic/reddit.php';
include WPAFFMACH_DIR.'lib/traffic/stumbleupon.php';
include WPAFFMACH_DIR.'lib/traffic/medium.php';
include WPAFFMACH_DIR.'lib/traffic/tumblr.php';
include WPAFFMACH_DIR.'lib/traffic/linkedin.php';
include WPAFFMACH_DIR.'lib/traffic/buffer.php';


add_action( 'wpaffmach_insert_post' , 'wpaffmach_new_post', 10 , 2 );
function wpaffmach_new_post( $post_id , $campaign_id )
{
	if ( !wpaffmach_is_traffic() )
		return;

	if( get_post_type( $post_id ) != 'post' )
		return;

	if ( wp_is_post_revision( $post_id ) )
		return;

	// if ( $post->post_date == $post->post_modified )
	// {

	$campaign_id = get_post_meta( $post_id, '_wpac_cid', true );
	if( !$campaign_id )
		return;
	// New post, get traffic!

	$traffics = wpaffmach_get_traffic_elements( $campaign_id );
	if( !$traffics )
		return $post_id;
	$i = 0;
// $settings = json_decode( $content->settings );

	foreach( $traffics as $traffic ) {
		if( !isset( $traffic->settings ) )
			continue;
		$settings = wpaffmach_json_decode_nice( $traffic->settings );
		switch ( $traffic->type ) {
			case WPAFFMACH_TRAFFIC_BACKLINKMACHINE:
				$done = wpaffmach_traffic_backlinkmachine( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_ILI:
				$done = wpaffmach_traffic_ili( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_BLI:
				$done = wpaffmach_traffic_bli( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_TWITTER:
				$done = wpaffmach_traffic_twitter( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_FACEBOOK:
				$done = wpaffmach_traffic_facebook( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_PINTEREST:
				$done = wpaffmach_traffic_pinterest( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_STUMBLEUPON:
				$done = wpaffmach_traffic_stumbleupon( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_MEDIUM:
				$done = wpaffmach_traffic_medium( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_TUMBLR:
				$done = wpaffmach_traffic_tumblr( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_LINKEDIN:
				$done = wpaffmach_traffic_linkedin( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_BUFFER:
				$done = wpaffmach_traffic_buffer( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_REDDIT:
				$done = wpaffmach_traffic_reddit( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_INSTAGRAM:
				$done = wpaffmach_traffic_instagram( $post_id, $traffic, $settings );
				break;
			case WPAFFMACH_TRAFFIC_GOOGLEPLUS:
				$done = wpaffmach_traffic_googleplus( $post_id, $traffic, $settings );
				break;
			default:
				break;
		}
	}
	// }
	return;
}

function wpaffmach_log_traffic( $post_id, $type ) {
	add_post_meta( $post_id, 'wpac_traf', $type, false );
}

function wpaffmach_get_traffic( $post_id ) {
	return get_post_meta( $post_id, 'wpac_traf', false );
}
?>