<?php
function wpaffmach_traffic_tumblr( $post_id ) {
	$res = wpaffmach_share_tumblr( get_the_title( $post_id), wpaffmach_get_content_by_id( $post_id ), get_permalink( $post_id ) );
	if( $res )
		wpaffmach_log_traffic( $post_id, WPAFFMACH_TRAFFIC_TUMBLR );
}

// TO-DO tags, imagen
function wpaffmach_share_tumblr( $title, $text, $post_url, $image_url = false ) {
	try {
	include_once WPAFFMACH_DIR.'/lib/libs/oauth/Eher/Oauth/Util.php';
	include_once WPAFFMACH_DIR.'/lib/libs/oauth/Eher/Oauth/Request.php';
	include_once WPAFFMACH_DIR.'/lib/libs/oauth/Eher/Oauth/Token.php';
	include_once WPAFFMACH_DIR.'/lib/libs/oauth/Eher/Oauth/Consumer.php';
	include_once WPAFFMACH_DIR.'/lib/libs/oauth/Eher/Oauth/SignatureMethod.php';
	include_once WPAFFMACH_DIR.'/lib/libs/oauth/Eher/Oauth/HmacSha1.php';
	include_once WPAFFMACH_DIR.'/lib/libs/tumblr/RequestException.php';
	include_once WPAFFMACH_DIR.'/lib/libs/tumblr/RequestHandler.php';
	include_once WPAFFMACH_DIR.'/lib/libs/tumblr/Client.php';
	$tumblr_settings = wpaffmach_get_settings( array( 'social', 'tumblr' ) );

	if ( ! isset( $tumblr_settings['key'] ) || empty( $tumblr_settings['key'] ) || ! isset( $tumblr_settings['secret'] ) || empty( $tumblr_settings['secret'] ) ||
	! isset( $tumblr_settings['oauth_token'] ) || empty( $tumblr_settings['oauth_token'] ) || ! isset( $tumblr_settings['oauth_secret'] ) || empty( $tumblr_settings['oauth_secret'] )
	 ) {
		wpaffmach_debug( 'Error with Tumblr Credentials', 'error' );
		return false;
	}

	$client = new Tumblr\API\Client( $tumblr_settings['key'], $tumblr_settings['secret'], $tumblr_settings['oauth_token'], $tumblr_settings['oauth_secret'] );

	$user_blogs = $client->getUserInfo()->user->blogs;
	if( $user_blogs && isset( $user_blogs[0] ) && !empty( $user_blogs[0] ) ) {
		$blog = $user_blogs[0];
		$blog_name = $blog->name;
	    $data = array(
	    	'type' => 'text',
	        'format' => 'html',
	        'title' => $title,
	        'body' => wpaffmach_before_upload( $text ).'<br/>Read more at: <a href="'.$post_url.'">'.$post_url.'</a>'
	    );

	    $post = $client->createPost( $blog_name, $data );
		wpaffmach_debug( 'Shared on Tumblr', 'notice' );
	    return true;
	}
	} catch (Exception $e) {
	    return false;
	}
	return false;
}

?>