<?php
add_action ( 'admin_menu', 'wpaffmach_add_admin_menu', 16 );

function wpaffmach_add_admin_menu() {
    include WPAFFMACH_DIR.'/lib/styles/styles.php';
    // ask26_delete_license();
    $style26 = ask26_lic_status();
    // set_transient( 'affmach_recurring', 0 );

	$page1 = add_menu_page( 'Affiliate Machine', 'Affiliate Machine', 'manage_options', 'affiliate-machine', ($style26 ? 'wpaffmach_screen_log' : 'ask26_settings'), WPAFFMACH_URL.'/img/icons/logo.png' );
    add_action( "admin_print_scripts-$page1", 'wpaffmach_admin_scripts' );
    add_action( "admin_print_styles-$page1", 'wpaffmach_admin_styles' );
    add_action( "admin_print_scripts", 'wpaffmach_admin_scriptsc' );

    if( !$style26 ) {
        $page6 = add_submenu_page('affiliate-machine', 'Help', 'Help', 'manage_options', 'affiliate-machine-support', 'wpaffmach_screen_help');
        add_action( "admin_print_scripts-$page6", 'wpaffmach_admin_scripts' );
        add_action( "admin_print_styles-$page6", 'wpaffmach_admin_styles' );
        return;
    }
    $page2 = add_submenu_page('affiliate-machine', 'Settings', 'Settings', 'manage_options', 'affiliate-machine-settings', 'wpaffmach_settings_monetize');
    $page7 = add_submenu_page('affiliate-machine', 'Monthly Content', 'Monthly Content', 'manage_options', 'affiliate-machine-monthly', 'wpaffmach_settings_recurring');
    if( wpaffmach_is_pro() ) {
        $page3 = add_submenu_page('affiliate-machine', 'Inline Links', 'Inline Links', 'manage_options', 'affiliate-machine-inline', 'wpaffmach_inline_links');
        $page4 = add_submenu_page('affiliate-machine', 'Leads', 'Leads', 'manage_options', 'affiliate-machine-leads', 'wpaffmach_screen_leads');
        $page5 = add_submenu_page('affiliate-machine', 'Autoresponders', 'Autoresponders', 'manage_options', 'affiliate-machine-ar', 'wpaffmach_screen_autoresponders');
    }

    $page6 = add_submenu_page('affiliate-machine', 'Help', 'Help', 'manage_options', 'affiliate-machine-support', 'wpaffmach_screen_help');


	add_action( "admin_print_scripts-$page2", 'wpaffmach_admin_scripts' );
    add_action( "admin_print_styles-$page2", 'wpaffmach_admin_styles' );
    if( wpaffmach_is_pro() ) {
        add_action( "admin_print_scripts-$page3", 'wpaffmach_admin_scripts' );
        add_action( "admin_print_styles-$page3", 'wpaffmach_admin_styles' );
        add_action( "admin_print_scripts-$page4", 'wpaffmach_admin_scripts' );
        add_action( "admin_print_styles-$page4", 'wpaffmach_admin_styles' );
        add_action( "admin_print_scripts-$page5", 'wpaffmach_admin_scripts' );
        add_action( "admin_print_styles-$page5", 'wpaffmach_admin_styles' );
    }
	add_action( "admin_print_scripts-$page6", 'wpaffmach_admin_scripts' );
    add_action( "admin_print_styles-$page6", 'wpaffmach_admin_styles' );
    add_action( "admin_print_scripts-$page7", 'wpaffmach_admin_scripts' );
    add_action( "admin_print_styles-$page7", 'wpaffmach_admin_styles' );
}

function wpaffmach_admin_scripts() {
    wp_enqueue_script('wp-color-picker');
    wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_media( );
    wp_register_script( 'wpaffmach_admin_js', WPAFFMACH_URL . '/js/wpaffmach-admin.js', array( 'jquery' ), WPAFFMACH_VERSION );

    $aweber_lists = wpaffmach_get_aweber_mailing_lists();
    $getresponse_lists = wpaffmach_get_getresponse_mailing_lists();
    $icontact_lists = wpaffmach_get_icontact_mailing_lists();
    $mailchimp_lists = wpaffmach_get_mailchimp_mailing_lists();
    $ccontact_lists = wpaffmach_get_constantcontact_mailing_lists();
    $sendreach_lists = wpaffmach_get_sendreach_mailing_lists();
    // $sendy_lists = wpaffmach_get_sendy_mailing_lists();
    $activecampaign_lists = wpaffmach_get_activecampaign_mailing_lists();
    $mailit_lists = wpaffmach_get_mailit_mailing_lists();
    $sendlane_lists = wpaffmach_get_sendlane_mailing_lists();

    $script_vars = array(
        'plugin_url' => WPAFFMACH_URL,
        'admin_url' => admin_url(),
        'aweber_lists' => $aweber_lists,
        'getresponse_lists' => $getresponse_lists,
        'icontact_lists' => $icontact_lists,
        'mailchimp_lists' => $mailchimp_lists,
        'ccontact_lists' => $ccontact_lists,
        'sendreach_lists' => $sendreach_lists,
        'mailit_lists' => $mailit_lists,
        'activecampaign_lists' => $activecampaign_lists,
        'sendlane_lists' => $sendlane_lists,
        // 'admin_url' => admin_url( 'admin.php?page=affiliate-machine' )
     );

    wp_localize_script( 'wpaffmach_admin_js', 'wpaffmach_vars', $script_vars );
    wp_enqueue_script( 'wpaffmach_admin_js' );

    wp_register_script( 'wpaffmach_popoverjs', WPAFFMACH_URL . '/js/jquery.webui-popover.min.js', array('jquery'), WPAFFMACH_VERSION );
    wp_enqueue_script( 'wpaffmach_popoverjs');

    wp_register_script( 'wpaffmach_modaljs', WPAFFMACH_URL . '/js/jquery.modal.js', array('jquery'), WPAFFMACH_VERSION );
    wp_enqueue_script( 'wpaffmach_modaljs');

}

function wpaffmach_admin_styles() {
    wp_register_style('wpaffmach_font_awesome_css', 'https://use.fontawesome.com/releases/v5.6.3/css/all.css', array(), WPAFFMACH_VERSION );
    wp_enqueue_style('wpaffmach_font_awesome_css');

    wp_register_style('wpaffmach_popover', WPAFFMACH_URL . '/css/jquery.webui-popover.min.css' );
    wp_enqueue_style( 'wpaffmach_popover' );

    wp_register_style( 'wpaffmach_custom_css', WPAFFMACH_URL . '/css/wpaffmach-admin.css', array(), WPAFFMACH_VERSION );
    wp_enqueue_style( 'wpaffmach_custom_css' );
}

function wpaffmach_admin_scriptsc() {
    wp_register_script( 'wpaffmach_admin_jsc', WPAFFMACH_URL . '/js/wpaffmach-admin2.js', array('jquery'), WPAFFMACH_VERSION);
    wp_enqueue_script( 'wpaffmach_admin_jsc');
}

function wpaffmach_screen_autoresponders() {
    if (! current_user_can ( 'manage_options' ))
        wp_die ( 'You don\'t have access to this page.' );
    if (! user_can_access_admin_page ())
        wp_die ( __ ( 'You do not have sufficient permissions to access this page', 'wp-auto-content' ) );
        ?>
    <div class="wrap">
        <img src="<?php echo WPAFFMACH_URL;?>/img/logo2.png" alt="">
        <h1>Autoresponders</h1>
        <?php wpaffmach_admin_autoresponders(); ?>
        <br/>
    </div>
        <?php
}

function wpaffmach_screen_leads() {
    if (! current_user_can ( 'manage_options' ))
        wp_die ( 'You don\'t have access to this page.' );
    if (! user_can_access_admin_page ())
        wp_die ( __ ( 'You do not have sufficient permissions to access this page', 'affiliate-machine' ) );
        ?>
    <div class="wrap">
        <img src="<?php echo WPAFFMACH_URL;?>/img/logo2.png" alt="">
        <h1>Leads</h1>
        <?php wpaffmach_leads_screen(); ?>
        <br/>
    </div>
        <?php
}

// Notice in backend
add_action( 'admin_init', 'wpaffmach_check_initial_notice' );

function wpaffmach_check_initial_notice() {
    // delete_option( 'cbaffmach-ndis' );
    $ndis = get_option( 'cbaffmach-ndis' );
    if( empty( $ndis ) ) {
        add_action( 'admin_notices', 'wpaffmach_initial_admin_notice', -1 );
    }
}

function wpaffmach_initial_admin_notice() {
    ?>
    <div class="notice updated wpaffmach-anotice is-dismissible" >
        <p><?php _e( 'Would you like to increase your Clickbank Earnings in 2020? The number #1 Clickbank Affiliate in the world shares his secrets to generate <b>$1000 per day or more</b> in his Free Webinar <a href="https://wpsocialcontact.com/products/commissionhero?tid=affmachnot" target="_blank"><b>Join here for FREE!</b> (limited seats)</a>', 'wp-auto-content' ); ?></p>
    </div>
    <?php
}
?>