<?php
/**
 * Plugin Name: WP Affiliate Machine
 * Plugin URI: http://wpaffiliatemachine.com/
 * Description: Automatically Import done-for-you review articles with your affiliate link to earn commissions on complete autopilot.
 * Author: Ankur Shukla
    Version: 1.22
 * Author URI: http://wpaffiliatemachine.com/
*/

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Constants
define( 'WPAFFMACH_VERSION', '1.22' );
if ( !isset( $wp_version ) )
    global $wp_version;
define( 'WPAFFMACH_WPVERSION', $wp_version );

define( 'WPAFFMACH_PLUGIN_NAME', dirname( plugin_basename( __FILE__ ) ) );
define( 'WPAFFMACH_DIR', plugin_dir_path( __FILE__ ) );
define( 'WPAFFMACH_URL', plugins_url( WPAFFMACH_PLUGIN_NAME ) );

if ( is_admin() ) {
    require WPAFFMACH_DIR.'/lib/fields.php';
    require WPAFFMACH_DIR.'/lib/settings.php';
    require WPAFFMACH_DIR.'/lib/inline.php';
    require WPAFFMACH_DIR.'/lib/log.php';
    require WPAFFMACH_DIR.'/lib/help.php';
    require WPAFFMACH_DIR.'/lib/ui.php';
    require WPAFFMACH_DIR.'/lib/styles/dashboard.php';
    add_action( 'wp_ajax_wpaffmach_remove_lead', 'wpaffmach_remove_lead_ajax' );
    add_action( 'wp_ajax_wpaffmach_save_aff_link', 'wpaffmach_save_aff_link_ajax' );
    add_action( 'wp_ajax_wpaffmach_share_link', 'wpaffmach_share_link_ajax' );
    add_action( 'wp_ajax_wpaffmach_create_video', 'wpaffmach_create_video_ajax' );
}
else {
    include WPAFFMACH_DIR.'lib/monetize/monetize_fe.php';
	include WPAFFMACH_DIR.'lib/frontend.php';
}

require WPAFFMACH_DIR.'/lib/pdf.php';
require WPAFFMACH_DIR.'/lib/common.php';
require WPAFFMACH_DIR.'/lib/recurring.php';
include WPAFFMACH_DIR.'/lib/monetize/monetization.php';
require WPAFFMACH_DIR.'/lib/importing.php';
require WPAFFMACH_DIR.'/lib/traffic/avmaker.php';
include WPAFFMACH_DIR.'/lib/libs/autoresponders/autoresponders.php';
include_once WPAFFMACH_DIR.'lib/traffic.php';
include_once WPAFFMACH_DIR.'lib/traffic/traffic.php';

add_action ( 'wp_ajax_wpaffmach_dismiss_notice', 'wpaffmach_dismiss_notice_ajax' );


register_activation_hook( __FILE__, 'wpaffmach_activation' );
register_deactivation_hook( __FILE__, 'wpaffmach_deactivation' );

/* Automatic Updates */
require WPAFFMACH_DIR.'/lib/plugin-updates/plugin-update-checker.php';
$tagmachine_update_checker = new Puc_v4p9_Plugin_UpdateChecker(
    ( wpaffmach_is_pro() ? 'https://knighterrant.s3.us-west-2.amazonaws.com/software/wp-affiliate-machine/2-pro/info_wpam2.json' :
    'https://knighterrant.s3.us-west-2.amazonaws.com/software/wp-affiliate-machine/1-std/info_wpam1.json' ),
    WPAFFMACH_DIR.WPAFFMACH_PLUGIN_NAME.'.php'
);
?>