<?php

function wpaffmach_traffic_stumbleupon( $post_id, $traffic, $settings ) {
	$category = ( isset( $settings->category ) && !empty( $settings->category ) ) ? $settings->category : 'News(General)';
	$res = wpaffmach_share_stumbleupon( $category, wpaffmach_get_the_excerpt( $post_id ), get_permalink( $post_id ) );
	if( $res )
		wpaffmach_log_traffic( $post_id, WPAFFMACH_TRAFFIC_STUMBLEUPON );
}

function wpaffmach_share_stumbleupon( $category, $text, $post_url ) {
	$stumbleupon_settings = wpaffmach_get_settings( array( 'social', 'stumbleupon' ) );

	if ( ! isset( $stumbleupon_settings['email'] ) || empty( $stumbleupon_settings['email'] ) || ! isset( $stumbleupon_settings['pass'] ) || empty( $stumbleupon_settings['pass'] ) ) {
		wpaffmach_debug( 'Error with Stumbleupon Credentials', 'error' );
		return false;
	}
	wpaffmach_include_nextgen();
	require_once WPAFFMACH_DIR.'/lib/libs/pinterest/inc-cl/su.api.php';

	$email = $stumbleupon_settings['email'];
	$password = $stumbleupon_settings['pass'];

	$nxs_gCookiesArr = wpaffmach_get_saved_stumbleupon_login();

	$nt         = new nxsAPI_SU();
	$nt->ck     = $nxs_gCookiesArr;
	$loginError = $nt->connect( $email, $password );
// 	echo '<pre>';
// print_r($loginError);
// 	echo '</pre>';
	if ( !$loginError ) {
	  	wpaffmach_save_stumbleupon_login($nt->ck);
		$return = $nt->post($text, $post_url, $category );
		wpaffmach_debug( 'Shared on Stumbleupon', 'notice' );
		return true;
	  // var_dump($return);
	}
	else {
		wpaffmach_debug( 'Stumbleupon - error with login', 'error' );
	}
	return false;
}

function wpaffmach_get_saved_stumbleupon_login() {
  $pnTempLogin = get_option( 'wpaffmach_su_temp_login' );
  // $pnTempLogin = get_post_meta('111111113', 'wpaffmach_su_temp_login', true);
  if (empty($pnTempLogin)) return null;
  return unserialize($pnTempLogin);
}

function wpaffmach_save_stumbleupon_login($obj) {
	update_option( 'wpaffmach_su_temp_login', serialize($obj) );
  // update_post_meta('111111113', 'wpaffmach_su_temp_login', serialize($obj));
}

function wpaffmach_get_stumbleupon_cats() {
	return array( array( 'value'=> "A.I.", 'label' => 'A.I.' ),array( 'value'=> "AIDS", 'label' => 'AIDS' ),array( 'value'=> "Accounting", 'label' => 'Accounting' ),array( 'value'=> "Acting", 'label' => 'Acting' ),array( 'value'=> "Action Movies", 'label' => 'Action Movies' ),array( 'value'=> "Activism", 'label' => 'Activism' ),array( 'value'=> "Adult Humor", 'label' => 'Adult Humor' ),array( 'value'=> "Advertising", 'label' => 'Advertising' ),array( 'value'=> "Africa", 'label' => 'Africa' ),array( 'value'=> "African Americans", 'label' => 'African Americans' ),array( 'value'=> "Aging", 'label' => 'Aging' ),array( 'value'=> "Agriculture", 'label' => 'Agriculture' ),array( 'value'=> "Alcoholic Drinks", 'label' => 'Alcoholic Drinks' ),array( 'value'=> "Alternative Energy", 'label' => 'Alternative Energy' ),array( 'value'=> "Alternative Health", 'label' => 'Alternative Health' ),array( 'value'=> "Alternative News", 'label' => 'Alternative News' ),array( 'value'=> "Alternative Rock", 'label' => 'Alternative Rock' ),array( 'value'=> "Amateur Radio", 'label' => 'Amateur Radio' ),array( 'value'=> "Ambient Music", 'label' => 'Ambient Music' ),array( 'value'=> "American Football", 'label' => 'American Football' ),array( 'value'=> "American History", 'label' => 'American History' ),array( 'value'=> "American Lit.", 'label' => 'American Lit.' ),array( 'value'=> "Anarchism", 'label' => 'Anarchism' ),array( 'value'=> "Anatomy", 'label' => 'Anatomy' ),array( 'value'=> "Ancient History", 'label' => 'Ancient History' ),array( 'value'=> "Animals", 'label' => 'Animals' ),array( 'value'=> "Animation", 'label' => 'Animation' ),array( 'value'=> "Anime", 'label' => 'Anime' ),array( 'value'=> "Anthropology", 'label' => 'Anthropology' ),array( 'value'=> "Antiaging", 'label' => 'Antiaging' ),array( 'value'=> "Antiques", 'label' => 'Antiques' ),array( 'value'=> "Archaeology", 'label' => 'Archaeology' ),array( 'value'=> "Architecture", 'label' => 'Architecture' ),array( 'value'=> "Art History", 'label' => 'Art History' ),array( 'value'=> "Arthritis", 'label' => 'Arthritis' ),array( 'value'=> "Arts", 'label' => 'Arts' ),array( 'value'=> "Asia", 'label' => 'Asia' ),array( 'value'=> "Asthma", 'label' => 'Asthma' ),array( 'value'=> "Astrology/Psychics", 'label' => 'Astrology/Psychics' ),array( 'value'=> "Astronomy", 'label' => 'Astronomy' ),array( 'value'=> "Atheist/Agnostic", 'label' => 'Atheist/Agnostic' ),array( 'value'=> "Audio Equipment", 'label' => 'Audio Equipment' ),array( 'value'=> "Australia", 'label' => 'Australia' ),array( 'value'=> "Aviation/Aerospace", 'label' => 'Aviation/Aerospace' ),array( 'value'=> "BDSM", 'label' => 'BDSM' ),array( 'value'=> "Babes", 'label' => 'Babes' ),array( 'value'=> "Babies", 'label' => 'Babies' ),array( 'value'=> "Badminton", 'label' => 'Badminton' ),array( 'value'=> "Ballet", 'label' => 'Ballet' ),array( 'value'=> "Banking", 'label' => 'Banking' ),array( 'value'=> "Bargains/Coupons", 'label' => 'Bargains/Coupons' ),array( 'value'=> "Baseball", 'label' => 'Baseball' ),array( 'value'=> "Basketball", 'label' => 'Basketball' ),array( 'value'=> "Beauty", 'label' => 'Beauty' ),array( 'value'=> "Beer", 'label' => 'Beer' ),array( 'value'=> "Beverages", 'label' => 'Beverages' ),array( 'value'=> "Bicycling", 'label' => 'Bicycling' ),array( 'value'=> "Billiards", 'label' => 'Billiards' ),array( 'value'=> "Biographies", 'label' => 'Biographies' ),array( 'value'=> "Biology", 'label' => 'Biology' ),array( 'value'=> "Biomechanics", 'label' => 'Biomechanics' ),array( 'value'=> "Biotech", 'label' => 'Biotech' ),array( 'value'=> "Bird Watching", 'label' => 'Bird Watching' ),array( 'value'=> "Birds", 'label' => 'Birds' ),array( 'value'=> "Bisexual Culture", 'label' => 'Bisexual Culture' ),array( 'value'=> "Bisexual Sex", 'label' => 'Bisexual Sex' ),array( 'value'=> "Bizarre/Oddities", 'label' => 'Bizarre/Oddities' ),array( 'value'=> "Blues music", 'label' => 'Blues music' ),array( 'value'=> "Board Games", 'label' => 'Board Games' ),array( 'value'=> "Boating", 'label' => 'Boating' ),array( 'value'=> "Bodybuilding", 'label' => 'Bodybuilding' ),array( 'value'=> "Books", 'label' => 'Books' ),array( 'value'=> "Botany", 'label' => 'Botany' ),array( 'value'=> "Bowling", 'label' => 'Bowling' ),array( 'value'=> "Boxing", 'label' => 'Boxing' ),array( 'value'=> "Brain Disorders", 'label' => 'Brain Disorders' ),array( 'value'=> "Brazil", 'label' => 'Brazil' ),array( 'value'=> "British Literature", 'label' => 'British Literature' ),array( 'value'=> "Britpop", 'label' => 'Britpop' ),array( 'value'=> "Buddhism", 'label' => 'Buddhism' ),array( 'value'=> "Business", 'label' => 'Business' ),array( 'value'=> "C.A.D.", 'label' => 'C.A.D.' ),array( 'value'=> "Camping", 'label' => 'Camping' ),array( 'value'=> "Canada", 'label' => 'Canada' ),array( 'value'=> "Cancer", 'label' => 'Cancer' ),array( 'value'=> "Canoeing/Kayaking", 'label' => 'Canoeing/Kayaking' ),array( 'value'=> "Capitalism", 'label' => 'Capitalism' ),array( 'value'=> "Car Parts", 'label' => 'Car Parts' ),array( 'value'=> "Card Games", 'label' => 'Card Games' ),array( 'value'=> "Career planning", 'label' => 'Career planning' ),array( 'value'=> "Caribbean", 'label' => 'Caribbean' ),array( 'value'=> "Cars", 'label' => 'Cars' ),array( 'value'=> "Cartoons", 'label' => 'Cartoons' ),array( 'value'=> "Catholic", 'label' => 'Catholic' ),array( 'value'=> "Cats", 'label' => 'Cats' ),array( 'value'=> "Celebrities", 'label' => 'Celebrities' ),array( 'value'=> "Cell Phones", 'label' => 'Cell Phones' ),array( 'value'=> "Celtic Music", 'label' => 'Celtic Music' ),array( 'value'=> "Central America", 'label' => 'Central America' ),array( 'value'=> "Chaos/Complexity", 'label' => 'Chaos/Complexity' ),array( 'value'=> "Cheerleading", 'label' => 'Cheerleading' ),array( 'value'=> "Chemical Eng.", 'label' => 'Chemical Eng.' ),array( 'value'=> "Chemistry", 'label' => 'Chemistry' ),array( 'value'=> "Chess", 'label' => 'Chess' ),array( 'value'=> "Children\'s Books", 'label' => 'Children\'s Books' ),array( 'value'=> "China", 'label' => 'China' ),array( 'value'=> "Christian Music", 'label' => 'Christian Music' ),array( 'value'=> "Christianity", 'label' => 'Christianity' ),array( 'value'=> "Christmas", 'label' => 'Christmas' ),array( 'value'=> "Cigars", 'label' => 'Cigars' ),array( 'value'=> "Civil Engineering", 'label' => 'Civil Engineering' ),array( 'value'=> "Classic Films", 'label' => 'Classic Films' ),array( 'value'=> "Classic Rock", 'label' => 'Classic Rock' ),array( 'value'=> "Classical Music", 'label' => 'Classical Music' ),array( 'value'=> "Classical Studies", 'label' => 'Classical Studies' ),array( 'value'=> "Climbing", 'label' => 'Climbing' ),array( 'value'=> "Clothing", 'label' => 'Clothing' ),array( 'value'=> "Coffee", 'label' => 'Coffee' ),array( 'value'=> "Cognitive Science", 'label' => 'Cognitive Science' ),array( 'value'=> "Cold War", 'label' => 'Cold War' ),array( 'value'=> "Collecting", 'label' => 'Collecting' ),array( 'value'=> "Comedy Movies", 'label' => 'Comedy Movies' ),array( 'value'=> "Comic Books", 'label' => 'Comic Books' ),array( 'value'=> "Communism", 'label' => 'Communism' ),array( 'value'=> "Computer Graphics", 'label' => 'Computer Graphics' ),array( 'value'=> "Computer Hardware", 'label' => 'Computer Hardware' ),array( 'value'=> "Computer Science", 'label' => 'Computer Science' ),array( 'value'=> "Computer Security", 'label' => 'Computer Security' ),array( 'value'=> "Computers", 'label' => 'Computers' ),array( 'value'=> "Conservative Politics", 'label' => 'Conservative Politics' ),array( 'value'=> "Conspiracies", 'label' => 'Conspiracies' ),array( 'value'=> "Construction", 'label' => 'Construction' ),array( 'value'=> "Consumer Info", 'label' => 'Consumer Info' ),array( 'value'=> "Continuing Education", 'label' => 'Continuing Education' ),array( 'value'=> "Counterculture", 'label' => 'Counterculture' ),array( 'value'=> "Country music", 'label' => 'Country music' ),array( 'value'=> "Crafts", 'label' => 'Crafts' ),array( 'value'=> "Cricket", 'label' => 'Cricket' ),array( 'value'=> "Crime", 'label' => 'Crime' ),array( 'value'=> "Crochet", 'label' => 'Crochet' ),array( 'value'=> "Cult Films", 'label' => 'Cult Films' ),array( 'value'=> "Culture/Ethnicity", 'label' => 'Culture/Ethnicity' ),array( 'value'=> "Cyberculture", 'label' => 'Cyberculture' ),array( 'value'=> "DJ\'s/Mixing", 'label' => 'DJ\'s/Mixing' ),array( 'value'=> "Dance Music", 'label' => 'Dance Music' ),array( 'value'=> "Dancing", 'label' => 'Dancing' ),array( 'value'=> "Databases", 'label' => 'Databases' ),array( 'value'=> "Dating Tips", 'label' => 'Dating Tips' ),array( 'value'=> "Daytrading", 'label' => 'Daytrading' ),array( 'value'=> "Dentistry", 'label' => 'Dentistry' ),array( 'value'=> "Design", 'label' => 'Design' ),array( 'value'=> "Desktop Publishing", 'label' => 'Desktop Publishing' ),array( 'value'=> "Diabetes", 'label' => 'Diabetes' ),array( 'value'=> "Disabilities", 'label' => 'Disabilities' ),array( 'value'=> "Disco", 'label' => 'Disco' ),array( 'value'=> "Divorce", 'label' => 'Divorce' ),array( 'value'=> "Doctors/Surgeons", 'label' => 'Doctors/Surgeons' ),array( 'value'=> "Dogs", 'label' => 'Dogs' ),array( 'value'=> "Dolls/Puppets", 'label' => 'Dolls/Puppets' ),array( 'value'=> "Drama Movies", 'label' => 'Drama Movies' ),array( 'value'=> "Drawing", 'label' => 'Drawing' ),array( 'value'=> "Drugs", 'label' => 'Drugs' ),array( 'value'=> "Drum\'n\'Bass", 'label' => 'Drum\'n\'Bass' ),array( 'value'=> "Eastern Studies", 'label' => 'Eastern Studies' ),array( 'value'=> "Eating Disorders", 'label' => 'Eating Disorders' ),array( 'value'=> "Ecology", 'label' => 'Ecology' ),array( 'value'=> "Ecommerce", 'label' => 'Ecommerce' ),array( 'value'=> "Economics", 'label' => 'Economics' ),array( 'value'=> "Education", 'label' => 'Education' ),array( 'value'=> "Electrical Eng.", 'label' => 'Electrical Eng.' ),array( 'value'=> "Electronic Devices", 'label' => 'Electronic Devices' ),array( 'value'=> "Electronic Parts", 'label' => 'Electronic Parts' ),array( 'value'=> "Electronica/IDM", 'label' => 'Electronica/IDM' ),array( 'value'=> "Embedded Systems", 'label' => 'Embedded Systems' ),array( 'value'=> "Encryption", 'label' => 'Encryption' ),array( 'value'=> "Energy Industry", 'label' => 'Energy Industry' ),array( 'value'=> "Entertaining Guests", 'label' => 'Entertaining Guests' ),array( 'value'=> "Entrepreneurship", 'label' => 'Entrepreneurship' ),array( 'value'=> "Environment", 'label' => 'Environment' ),array( 'value'=> "Equestrian/Horses", 'label' => 'Equestrian/Horses' ),array( 'value'=> "Ergonomics", 'label' => 'Ergonomics' ),array( 'value'=> "Erotic Literature", 'label' => 'Erotic Literature' ),array( 'value'=> "Ethics", 'label' => 'Ethics' ),array( 'value'=> "Ethnic Music", 'label' => 'Ethnic Music' ),array( 'value'=> "Europe", 'label' => 'Europe' ),array( 'value'=> "Evolution", 'label' => 'Evolution' ),array( 'value'=> "Exotic Pets", 'label' => 'Exotic Pets' ),array( 'value'=> "Extreme Sports", 'label' => 'Extreme Sports' ),array( 'value'=> "Facebook", 'label' => 'Facebook' ),array( 'value'=> "Family", 'label' => 'Family' ),array( 'value'=> "Fantasy Books", 'label' => 'Fantasy Books' ),array( 'value'=> "Fashion", 'label' => 'Fashion' ),array( 'value'=> "Feminism", 'label' => 'Feminism' ),array( 'value'=> "Fetish Sexuality", 'label' => 'Fetish Sexuality' ),array( 'value'=> "Figure Skating", 'label' => 'Figure Skating' ),array( 'value'=> "Film Noir", 'label' => 'Film Noir' ),array( 'value'=> "Filmmaking", 'label' => 'Filmmaking' ),array( 'value'=> "Financial planning", 'label' => 'Financial planning' ),array( 'value'=> "Fine Arts", 'label' => 'Fine Arts' ),array( 'value'=> "Firefox", 'label' => 'Firefox' ),array( 'value'=> "Fish", 'label' => 'Fish' ),array( 'value'=> "Fishing", 'label' => 'Fishing' ),array( 'value'=> "Fitness", 'label' => 'Fitness' ),array( 'value'=> "Flyfishing", 'label' => 'Flyfishing' ),array( 'value'=> "Folk music", 'label' => 'Folk music' ),array( 'value'=> "Food/Cooking", 'label' => 'Food/Cooking' ),array( 'value'=> "For Kids", 'label' => 'For Kids' ),array( 'value'=> "Foreign Films", 'label' => 'Foreign Films' ),array( 'value'=> "Forensics", 'label' => 'Forensics' ),array( 'value'=> "Forestry", 'label' => 'Forestry' ),array( 'value'=> "Forums", 'label' => 'Forums' ),array( 'value'=> "France", 'label' => 'France' ),array( 'value'=> "Funk", 'label' => 'Funk' ),array( 'value'=> "Futurism", 'label' => 'Futurism' ),array( 'value'=> "Gadgets", 'label' => 'Gadgets' ),array( 'value'=> "Gambling", 'label' => 'Gambling' ),array( 'value'=> "Gardening", 'label' => 'Gardening' ),array( 'value'=> "Gay Culture", 'label' => 'Gay Culture' ),array( 'value'=> "Gay Sex", 'label' => 'Gay Sex' ),array( 'value'=> "Genealogy", 'label' => 'Genealogy' ),array( 'value'=> "Genetics", 'label' => 'Genetics' ),array( 'value'=> "Geography", 'label' => 'Geography' ),array( 'value'=> "Geoscience", 'label' => 'Geoscience' ),array( 'value'=> "Germany", 'label' => 'Germany' ),array( 'value'=> "Glaucoma", 'label' => 'Glaucoma' ),array( 'value'=> "Golf", 'label' => 'Golf' ),array( 'value'=> "Gospel music", 'label' => 'Gospel music' ),array( 'value'=> "Goth Culture", 'label' => 'Goth Culture' ),array( 'value'=> "Government", 'label' => 'Government' ),array( 'value'=> "Graphic Design", 'label' => 'Graphic Design' ),array( 'value'=> "Guitar", 'label' => 'Guitar' ),array( 'value'=> "Guns", 'label' => 'Guns' ),array( 'value'=> "Gymnastics", 'label' => 'Gymnastics' ),array( 'value'=> "Hacking", 'label' => 'Hacking' ),array( 'value'=> "Health", 'label' => 'Health' ),array( 'value'=> "Heart Conditions", 'label' => 'Heart Conditions' ),array( 'value'=> "Heavy metal", 'label' => 'Heavy metal' ),array( 'value'=> "Hedonism", 'label' => 'Hedonism' ),array( 'value'=> "Hentai Anime", 'label' => 'Hentai Anime' ),array( 'value'=> "Hiking", 'label' => 'Hiking' ),array( 'value'=> "Hinduism", 'label' => 'Hinduism' ),array( 'value'=> "HipHop/Rap", 'label' => 'HipHop/Rap' ),array( 'value'=> "History", 'label' => 'History' ),array( 'value'=> "Hockey", 'label' => 'Hockey' ),array( 'value'=> "Home Business", 'label' => 'Home Business' ),array( 'value'=> "Home Improvement", 'label' => 'Home Improvement' ),array( 'value'=> "Homebrewing", 'label' => 'Homebrewing' ),array( 'value'=> "Homemaking", 'label' => 'Homemaking' ),array( 'value'=> "Homeschooling", 'label' => 'Homeschooling' ),array( 'value'=> "Horror Movies", 'label' => 'Horror Movies' ),array( 'value'=> "Hotels", 'label' => 'Hotels' ),array( 'value'=> "House music", 'label' => 'House music' ),array( 'value'=> "Humanitarianism", 'label' => 'Humanitarianism' ),array( 'value'=> "Humanities", 'label' => 'Humanities' ),array( 'value'=> "Humor", 'label' => 'Humor' ),array( 'value'=> "Hunting", 'label' => 'Hunting' ),array( 'value'=> "IT", 'label' => 'IT' ),array( 'value'=> "Independent Film", 'label' => 'Independent Film' ),array( 'value'=> "India", 'label' => 'India' ),array( 'value'=> "Indie Rock/Pop", 'label' => 'Indie Rock/Pop' ),array( 'value'=> "Industrial Design", 'label' => 'Industrial Design' ),array( 'value'=> "Industrial Music", 'label' => 'Industrial Music' ),array( 'value'=> "Instant Messaging", 'label' => 'Instant Messaging' ),array( 'value'=> "Insurance", 'label' => 'Insurance' ),array( 'value'=> "Int\'l Development", 'label' => 'Int\'l Development' ),array( 'value'=> "Interior Design", 'label' => 'Interior Design' ),array( 'value'=> "Internet", 'label' => 'Internet' ),array( 'value'=> "Internet Tools", 'label' => 'Internet Tools' ),array( 'value'=> "Investing", 'label' => 'Investing' ),array( 'value'=> "Ipod", 'label' => 'Ipod' ),array( 'value'=> "Iraq", 'label' => 'Iraq' ),array( 'value'=> "Ireland", 'label' => 'Ireland' ),array( 'value'=> "Islam", 'label' => 'Islam' ),array( 'value'=> "Israel", 'label' => 'Israel' ),array( 'value'=> "Italy", 'label' => 'Italy' ),array( 'value'=> "Japan", 'label' => 'Japan' ),array( 'value'=> "Java", 'label' => 'Java' ),array( 'value'=> "Jazz", 'label' => 'Jazz' ),array( 'value'=> "Jewelry", 'label' => 'Jewelry' ),array( 'value'=> "Journalism", 'label' => 'Journalism' ),array( 'value'=> "Judaism", 'label' => 'Judaism' ),array( 'value'=> "Karaoke", 'label' => 'Karaoke' ),array( 'value'=> "Kids", 'label' => 'Kids' ),array( 'value'=> "Kinesiology", 'label' => 'Kinesiology' ),array( 'value'=> "Knitting", 'label' => 'Knitting' ),array( 'value'=> "Korea", 'label' => 'Korea' ),array( 'value'=> "Landscaping", 'label' => 'Landscaping' ),array( 'value'=> "Latin Music", 'label' => 'Latin Music' ),array( 'value'=> "Law", 'label' => 'Law' ),array( 'value'=> "Learning Disorders", 'label' => 'Learning Disorders' ),array( 'value'=> "Lefthanded", 'label' => 'Lefthanded' ),array( 'value'=> "Lesbian Culture", 'label' => 'Lesbian Culture' ),array( 'value'=> "Lesbian Sex", 'label' => 'Lesbian Sex' ),array( 'value'=> "Liberal Politics", 'label' => 'Liberal Politics' ),array( 'value'=> "Liberties/Rights", 'label' => 'Liberties/Rights' ),array( 'value'=> "Library Resources", 'label' => 'Library Resources' ),array( 'value'=> "Lingerie", 'label' => 'Lingerie' ),array( 'value'=> "Linguistics", 'label' => 'Linguistics' ),array( 'value'=> "Linux/Unix", 'label' => 'Linux/Unix' ),array( 'value'=> "Literature", 'label' => 'Literature' ),array( 'value'=> "Live Theatre", 'label' => 'Live Theatre' ),array( 'value'=> "Logic", 'label' => 'Logic' ),array( 'value'=> "Lounge Music", 'label' => 'Lounge Music' ),array( 'value'=> "Luxury", 'label' => 'Luxury' ),array( 'value'=> "MacOS", 'label' => 'MacOS' ),array( 'value'=> "Machinery", 'label' => 'Machinery' ),array( 'value'=> "Magic/Illusions", 'label' => 'Magic/Illusions' ),array( 'value'=> "Management/HR", 'label' => 'Management/HR' ),array( 'value'=> "Manufacturing", 'label' => 'Manufacturing' ),array( 'value'=> "Marine Biology", 'label' => 'Marine Biology' ),array( 'value'=> "Marketing", 'label' => 'Marketing' ),array( 'value'=> "Married Life", 'label' => 'Married Life' ),array( 'value'=> "Martial Arts", 'label' => 'Martial Arts' ),array( 'value'=> "Matchmaking", 'label' => 'Matchmaking' ),array( 'value'=> "Mathematics", 'label' => 'Mathematics' ),array( 'value'=> "Mechanical Eng.", 'label' => 'Mechanical Eng.' ),array( 'value'=> "Medical Science", 'label' => 'Medical Science' ),array( 'value'=> "Medieval History", 'label' => 'Medieval History' ),array( 'value'=> "Memorabilia", 'label' => 'Memorabilia' ),array( 'value'=> "Men\'s Issues", 'label' => 'Men\'s Issues' ),array( 'value'=> "Mental Health", 'label' => 'Mental Health' ),array( 'value'=> "Meteorology", 'label' => 'Meteorology' ),array( 'value'=> "Mexico", 'label' => 'Mexico' ),array( 'value'=> "Microbiology", 'label' => 'Microbiology' ),array( 'value'=> "Middle East", 'label' => 'Middle East' ),array( 'value'=> "Military", 'label' => 'Military' ),array( 'value'=> "Mining/Metallurgy", 'label' => 'Mining/Metallurgy' ),array( 'value'=> "Mobile Computing", 'label' => 'Mobile Computing' ),array( 'value'=> "Mormon", 'label' => 'Mormon' ),array( 'value'=> "Motor Sports", 'label' => 'Motor Sports' ),array( 'value'=> "Motorcycles", 'label' => 'Motorcycles' ),array( 'value'=> "Movies", 'label' => 'Movies' ),array( 'value'=> "Multimedia", 'label' => 'Multimedia' ),array( 'value'=> "Music", 'label' => 'Music' ),array( 'value'=> "Music Composition", 'label' => 'Music Composition' ),array( 'value'=> "Music Instruments", 'label' => 'Music Instruments' ),array( 'value'=> "Music Theory", 'label' => 'Music Theory' ),array( 'value'=> "Musicals", 'label' => 'Musicals' ),array( 'value'=> "Musician Resources", 'label' => 'Musician Resources' ),array( 'value'=> "Mutual Funds", 'label' => 'Mutual Funds' ),array( 'value'=> "Mystery Novels", 'label' => 'Mystery Novels' ),array( 'value'=> "Mythology", 'label' => 'Mythology' ),array( 'value'=> "Nanotech", 'label' => 'Nanotech' ),array( 'value'=> "Native Americans", 'label' => 'Native Americans' ),array( 'value'=> "Nature", 'label' => 'Nature' ),array( 'value'=> "Netherlands", 'label' => 'Netherlands' ),array( 'value'=> "Network Security", 'label' => 'Network Security' ),array( 'value'=> "Neuroscience", 'label' => 'Neuroscience' ),array( 'value'=> "New Age", 'label' => 'New Age' ),array( 'value'=> "New York", 'label' => 'New York' ),array( 'value'=> "News(General)", 'label' => 'News(General)' ),array( 'value'=> "Nightlife", 'label' => 'Nightlife' ),array( 'value'=> "Nonprofit/Charity", 'label' => 'Nonprofit/Charity' ),array( 'value'=> "Nuclear Science", 'label' => 'Nuclear Science' ),array( 'value'=> "Nude Art", 'label' => 'Nude Art' ),array( 'value'=> "Nursing", 'label' => 'Nursing' ),array( 'value'=> "Nutrition", 'label' => 'Nutrition' ),array( 'value'=> "Oceania", 'label' => 'Oceania' ),array( 'value'=> "Oldies Music", 'label' => 'Oldies Music' ),array( 'value'=> "Online Games", 'label' => 'Online Games' ),array( 'value'=> "Open Source", 'label' => 'Open Source' ),array( 'value'=> "Opera", 'label' => 'Opera' ),array( 'value'=> "Operating Systems", 'label' => 'Operating Systems' ),array( 'value'=> "Options/Futures", 'label' => 'Options/Futures' ),array( 'value'=> "Orthodox", 'label' => 'Orthodox' ),array( 'value'=> "Outdoors", 'label' => 'Outdoors' ),array( 'value'=> "P2P", 'label' => 'P2P' ),array( 'value'=> "PHP", 'label' => 'PHP' ),array( 'value'=> "Paganism", 'label' => 'Paganism' ),array( 'value'=> "Painting", 'label' => 'Painting' ),array( 'value'=> "Paleontology", 'label' => 'Paleontology' ),array( 'value'=> "Paranormal", 'label' => 'Paranormal' ),array( 'value'=> "Parenting", 'label' => 'Parenting' ),array( 'value'=> "Percussion", 'label' => 'Percussion' ),array( 'value'=> "Performing Arts", 'label' => 'Performing Arts' ),array( 'value'=> "Peripheral Devices", 'label' => 'Peripheral Devices' ),array( 'value'=> "Perl", 'label' => 'Perl' ),array( 'value'=> "Personal Sites", 'label' => 'Personal Sites' ),array( 'value'=> "Petroleum", 'label' => 'Petroleum' ),array( 'value'=> "Pets", 'label' => 'Pets' ),array( 'value'=> "Pharmacology", 'label' => 'Pharmacology' ),array( 'value'=> "Philosophy", 'label' => 'Philosophy' ),array( 'value'=> "Photo Gear", 'label' => 'Photo Gear' ),array( 'value'=> "Photography", 'label' => 'Photography' ),array( 'value'=> "Photoshop", 'label' => 'Photoshop' ),array( 'value'=> "Physical Therapy", 'label' => 'Physical Therapy' ),array( 'value'=> "Physics", 'label' => 'Physics' ),array( 'value'=> "Physiology", 'label' => 'Physiology' ),array( 'value'=> "Poetry", 'label' => 'Poetry' ),array( 'value'=> "Poker", 'label' => 'Poker' ),array( 'value'=> "Political Science", 'label' => 'Political Science' ),array( 'value'=> "Politics", 'label' => 'Politics' ),array( 'value'=> "Pop music", 'label' => 'Pop music' ),array( 'value'=> "Pornography", 'label' => 'Pornography' ),array( 'value'=> "Postmodernism", 'label' => 'Postmodernism' ),array( 'value'=> "Pregnancy/Birth", 'label' => 'Pregnancy/Birth' ),array( 'value'=> "Programming", 'label' => 'Programming' ),array( 'value'=> "Protestant", 'label' => 'Protestant' ),array( 'value'=> "Proxy", 'label' => 'Proxy' ),array( 'value'=> "Psychiatry", 'label' => 'Psychiatry' ),array( 'value'=> "Psychology", 'label' => 'Psychology' ),array( 'value'=> "Punk Rock", 'label' => 'Punk Rock' ),array( 'value'=> "Puzzles", 'label' => 'Puzzles' ),array( 'value'=> "Quilting", 'label' => 'Quilting' ),array( 'value'=> "Quizzes", 'label' => 'Quizzes' ),array( 'value'=> "Quotes", 'label' => 'Quotes' ),array( 'value'=> "Racquetball", 'label' => 'Racquetball' ),array( 'value'=> "Radio Broadcasts", 'label' => 'Radio Broadcasts' ),array( 'value'=> "Rave Culture", 'label' => 'Rave Culture' ),array( 'value'=> "Real Estate", 'label' => 'Real Estate' ),array( 'value'=> "Recording Gear", 'label' => 'Recording Gear' ),array( 'value'=> "Reggae", 'label' => 'Reggae' ),array( 'value'=> "Relationships", 'label' => 'Relationships' ),array( 'value'=> "Religion", 'label' => 'Religion' ),array( 'value'=> "Research", 'label' => 'Research' ),array( 'value'=> "Restaurants", 'label' => 'Restaurants' ),array( 'value'=> "Restoration", 'label' => 'Restoration' ),array( 'value'=> "Robotics", 'label' => 'Robotics' ),array( 'value'=> "Rock music", 'label' => 'Rock music' ),array( 'value'=> "Rodeo", 'label' => 'Rodeo' ),array( 'value'=> "Roleplaying Games", 'label' => 'Roleplaying Games' ),array( 'value'=> "Romance Novels", 'label' => 'Romance Novels' ),array( 'value'=> "Rugby", 'label' => 'Rugby' ),array( 'value'=> "Running", 'label' => 'Running' ),array( 'value'=> "Russia", 'label' => 'Russia' ),array( 'value'=> "SEO", 'label' => 'SEO' ),array( 'value'=> "Sailing", 'label' => 'Sailing' ),array( 'value'=> "Satire", 'label' => 'Satire' ),array( 'value'=> "Science", 'label' => 'Science' ),array( 'value'=> "Science Fiction", 'label' => 'Science Fiction' ),array( 'value'=> "Scientology", 'label' => 'Scientology' ),array( 'value'=> "Scouting", 'label' => 'Scouting' ),array( 'value'=> "Scrapbooking", 'label' => 'Scrapbooking' ),array( 'value'=> "Scuba Diving", 'label' => 'Scuba Diving' ),array( 'value'=> "Sculpting", 'label' => 'Sculpting' ),array( 'value'=> "Search", 'label' => 'Search' ),array( 'value'=> "Self Improvement", 'label' => 'Self Improvement' ),array( 'value'=> "Semiconductors", 'label' => 'Semiconductors' ),array( 'value'=> "Senior Citizens", 'label' => 'Senior Citizens' ),array( 'value'=> "Sewing", 'label' => 'Sewing' ),array( 'value'=> "Sex Industry", 'label' => 'Sex Industry' ),array( 'value'=> "Sex Toys", 'label' => 'Sex Toys' ),array( 'value'=> "Sexual Health", 'label' => 'Sexual Health' ),array( 'value'=> "Sexuality", 'label' => 'Sexuality' ),array( 'value'=> "Shakespeare", 'label' => 'Shakespeare' ),array( 'value'=> "Shareware", 'label' => 'Shareware' ),array( 'value'=> "Shopping", 'label' => 'Shopping' ),array( 'value'=> "Skateboarding", 'label' => 'Skateboarding' ),array( 'value'=> "Skiing", 'label' => 'Skiing' ),array( 'value'=> "Skydiving", 'label' => 'Skydiving' ),array( 'value'=> "Snowboarding", 'label' => 'Snowboarding' ),array( 'value'=> "Soap Operas", 'label' => 'Soap Operas' ),array( 'value'=> "Soccer", 'label' => 'Soccer' ),array( 'value'=> "Socialism", 'label' => 'Socialism' ),array( 'value'=> "Sociology", 'label' => 'Sociology' ),array( 'value'=> "Software", 'label' => 'Software' ),array( 'value'=> "Songwriting", 'label' => 'Songwriting' ),array( 'value'=> "Soul/R&amp;B", 'label' => 'Soul/R&amp;B' ),array( 'value'=> "Soundtracks", 'label' => 'Soundtracks' ),array( 'value'=> "South America", 'label' => 'South America' ),array( 'value'=> "Space Exploration", 'label' => 'Space Exploration' ),array( 'value'=> "Spain", 'label' => 'Spain' ),array( 'value'=> "Spas", 'label' => 'Spas' ),array( 'value'=> "Spirituality", 'label' => 'Spirituality' ),array( 'value'=> "Sports(General)", 'label' => 'Sports(General)' ),array( 'value'=> "Squash", 'label' => 'Squash' ),array( 'value'=> "Statistics", 'label' => 'Statistics' ),array( 'value'=> "StumbleUpon", 'label' => 'StumbleUpon' ),array( 'value'=> "Subculture", 'label' => 'Subculture' ),array( 'value'=> "Substance Abuse", 'label' => 'Substance Abuse' ),array( 'value'=> "Sufism", 'label' => 'Sufism' ),array( 'value'=> "Sunni", 'label' => 'Sunni' ),array( 'value'=> "Supercomputing", 'label' => 'Supercomputing' ),array( 'value'=> "Surfing", 'label' => 'Surfing' ),array( 'value'=> "Survivalist", 'label' => 'Survivalist' ),array( 'value'=> "Swimming", 'label' => 'Swimming' ),array( 'value'=> "Swingers", 'label' => 'Swingers' ),array( 'value'=> "Tattoos/Piercing", 'label' => 'Tattoos/Piercing' ),array( 'value'=> "Taxation", 'label' => 'Taxation' ),array( 'value'=> "Tea", 'label' => 'Tea' ),array( 'value'=> "Techno", 'label' => 'Techno' ),array( 'value'=> "Technology", 'label' => 'Technology' ),array( 'value'=> "Teen Life", 'label' => 'Teen Life' ),array( 'value'=> "Teen Parenting", 'label' => 'Teen Parenting' ),array( 'value'=> "Telecom", 'label' => 'Telecom' ),array( 'value'=> "Television", 'label' => 'Television' ),array( 'value'=> "Tennis", 'label' => 'Tennis' ),array( 'value'=> "Terrorism", 'label' => 'Terrorism' ),array( 'value'=> "Toys", 'label' => 'Toys' ),array( 'value'=> "Track/Field", 'label' => 'Track/Field' ),array( 'value'=> "Trains/Railroads", 'label' => 'Trains/Railroads' ),array( 'value'=> "Trance", 'label' => 'Trance' ),array( 'value'=> "Transexual Sex", 'label' => 'Transexual Sex' ),array( 'value'=> "Transportation", 'label' => 'Transportation' ),array( 'value'=> "Travel", 'label' => 'Travel' ),array( 'value'=> "TripHop/Downtempo", 'label' => 'TripHop/Downtempo' ),array( 'value'=> "UFOs", 'label' => 'UFOs' ),array( 'value'=> "UK", 'label' => 'UK' ),array( 'value'=> "USA", 'label' => 'USA' ),array( 'value'=> "University/College", 'label' => 'University/College' ),array( 'value'=> "Vegetarian", 'label' => 'Vegetarian' ),array( 'value'=> "Video Equipment", 'label' => 'Video Equipment' ),array( 'value'=> "Video Games", 'label' => 'Video Games' ),array( 'value'=> "Vintage Cars", 'label' => 'Vintage Cars' ),array( 'value'=> "Virtual Reality", 'label' => 'Virtual Reality' ),array( 'value'=> "Vocal Music", 'label' => 'Vocal Music' ),array( 'value'=> "Volleyball", 'label' => 'Volleyball' ),array( 'value'=> "Water Sports", 'label' => 'Water Sports' ),array( 'value'=> "Web Development", 'label' => 'Web Development' ),array( 'value'=> "Webhosting", 'label' => 'Webhosting' ),array( 'value'=> "Weblogs", 'label' => 'Weblogs' ),array( 'value'=> "Weddings", 'label' => 'Weddings' ),array( 'value'=> "Weight Loss", 'label' => 'Weight Loss' ),array( 'value'=> "Wicca", 'label' => 'Wicca' ),array( 'value'=> "Windows", 'label' => 'Windows' ),array( 'value'=> "Windows Dev", 'label' => 'Windows Dev' ),array( 'value'=> "Windsurfing", 'label' => 'Windsurfing' ),array( 'value'=> "Wine", 'label' => 'Wine' ),array( 'value'=> "Women\'s Issues", 'label' => 'Women\'s Issues' ),array( 'value'=> "Woodworking", 'label' => 'Woodworking' ),array( 'value'=> "Wrestling", 'label' => 'Wrestling' ),array( 'value'=> "Writing", 'label' => 'Writing' ),array( 'value'=> "Yoga", 'label' => 'Yoga' ),array( 'value'=> "Zoology", 'label' => 'Zoology' ));
}
?>